Index: doc/started/binaries.t
===================================================================
--- doc/started/binaries.t	(revision 57caf2d699dba110d2b4155e270d3cf9c46853bd)
+++ doc/started/binaries.t	(revision c9c98d7f1557f6ba920ba28e195792ed50af23be)
@@ -58,11 +58,11 @@
 @example
 rpm -U @value{RTEMSRPMPREFIX}binutils-common-@value{BINUTILSVERSION}-@value{BINUTILSRPMRELEASE}.i386.rpm
-rpm -U @value{RTEMSRPMPREFIX}sparc-rtems-binutils-@value{BINUTILSVERSION}-@value{BINUTILSRPMRELEASE}.i386.rpm
+rpm -U @value{RTEMSRPMPREFIX}sparc-rtems@value{RTEMSAPI}-binutils-@value{BINUTILSVERSION}-@value{BINUTILSRPMRELEASE}.i386.rpm
 rpm -U @value{RTEMSRPMPREFIX}gcc-common-@value{GCCVERSION}-@value{GCCRPMRELEASE}.i386.rpm
-rpm -U @value{RTEMSRPMPREFIX}sparc-rtems-newlib-@value{NEWLIBVERSION}-@value{GCCRPMRELEASE}.i386.rpm
-rpm -U @value{RTEMSRPMPREFIX}sparc-rtems-gcc-@value{GCCVERSION}-@value{GCCRPMRELEASE}.i386.rpm
-rpm -U @value{RTEMSRPMPREFIX}sparc-rtems-gcc-c++-@value{GCCVERSION}-@value{GCCRPMRELEASE}.i386.rpm
+rpm -U @value{RTEMSRPMPREFIX}sparc-rtems@value{RTEMSAPI}-newlib-@value{NEWLIBVERSION}-@value{GCCRPMRELEASE}.i386.rpm
+rpm -U @value{RTEMSRPMPREFIX}sparc-rtems@value{RTEMSAPI}-gcc-@value{GCCVERSION}-@value{GCCRPMRELEASE}.i386.rpm
+rpm -U @value{RTEMSRPMPREFIX}sparc-rtems@value{RTEMSAPI}-gcc-c++-@value{GCCVERSION}-@value{GCCRPMRELEASE}.i386.rpm
 rpm -U @value{RTEMSRPMPREFIX}gdb-common-@value{GDBVERSION}-@value{GDBRPMRELEASE}.i386.rpm
-rpm -U @value{RTEMSRPMPREFIX}sparc-rtems-gdb-@value{GDBVERSION}-@value{GDBRPMRELEASE}.i386.rpm
+rpm -U @value{RTEMSRPMPREFIX}sparc-rtems@value{RTEMSAPI}-gdb-@value{GDBVERSION}-@value{GDBRPMRELEASE}.i386.rpm
 @end example
 
@@ -91,11 +91,11 @@
 
 @example
-rpm -e @value{RTEMSRPMPREFIX}sparc-rtems-gdb
+rpm -e @value{RTEMSRPMPREFIX}sparc-rtems@value{RTEMSAPI}-gdb
 rpm -e @value{RTEMSRPMPREFIX}gdb-common
-rpm -e @value{RTEMSRPMPREFIX}sparc-rtems-gcc-c++
-rpm -e @value{RTEMSRPMPREFIX}sparc-rtems-gcc
-rpm -e @value{RTEMSRPMPREFIX}sparc-rtems-newlib
+rpm -e @value{RTEMSRPMPREFIX}sparc-rtems@value{RTEMSAPI}-gcc-c++
+rpm -e @value{RTEMSRPMPREFIX}sparc-rtems@value{RTEMSAPI}-gcc
+rpm -e @value{RTEMSRPMPREFIX}sparc-rtems@value{RTEMSAPI}-newlib
 rpm -e @value{RTEMSRPMPREFIX}gcc-common
-rpm -e @value{RTEMSRPMPREFIX}sparc-rtems-binutils
+rpm -e @value{RTEMSRPMPREFIX}sparc-rtems@value{RTEMSAPI}-binutils
 rpm -e @value{RTEMSRPMPREFIX}binutils-common
 @end example
@@ -119,10 +119,10 @@
 cd /
 tar xzf @value{RTEMSRPMPREFIX}binutils-common-@value{BINUTILSVERSION}-@value{BINUTILSRPMRELEASE}.tar.gz
-tar xzf @value{RTEMSRPMPREFIX}sparc-rtems-binutils-@value{BINUTILSVERSION}-@value{BINUTILSRPMRELEASE}.tar.gz
+tar xzf @value{RTEMSRPMPREFIX}sparc-rtems@value{RTEMSAPI}-binutils-@value{BINUTILSVERSION}-@value{BINUTILSRPMRELEASE}.tar.gz
 tar xzf @value{RTEMSRPMPREFIX}gcc-common-@value{GCCVERSION}-@value{GCCRPMRELEASE}.tar.gz
-tar xzf @value{RTEMSRPMPREFIX}sparc-rtems-gcc-@value{GCCVERSION}-@value{GCCRPMRELEASE}.tar.gz
-tar xzf @value{RTEMSRPMPREFIX}sparc-rtems-newlib-@value{NEWLIBVERSION}-@value{GCCRPMRELEASE}.tar.gz
+tar xzf @value{RTEMSRPMPREFIX}sparc-rtems@value{RTEMSAPI}-gcc-@value{GCCVERSION}-@value{GCCRPMRELEASE}.tar.gz
+tar xzf @value{RTEMSRPMPREFIX}sparc-rtems@value{RTEMSAPI}-newlib-@value{NEWLIBVERSION}-@value{GCCRPMRELEASE}.tar.gz
 tar xzf @value{RTEMSRPMPREFIX}gdb-common-@value{GDBVERSION}-@value{GDBRPMRELEASE}.tar.gz
-tar xzf @value{RTEMSRPMPREFIX}sparc-rtems-gdb-@value{GDBVERSION}-@value{GDBRPMRELEASE}.tar.gz
+tar xzf @value{RTEMSRPMPREFIX}sparc-rtems@value{RTEMSAPI}-gdb-@value{GDBVERSION}-@value{GDBRPMRELEASE}.tar.gz
 @end example
 
@@ -134,10 +134,10 @@
 cd /
 tar xjf @value{RTEMSRPMPREFIX}binutils-common-@value{BINUTILSVERSION}-@value{BINUTILSRPMRELEASE}.tar.bz2
-tar xjf @value{RTEMSRPMPREFIX}sparc-rtems-binutils-@value{BINUTILSVERSION}-@value{BINUTILSRPMRELEASE}.tar.bz2
+tar xjf @value{RTEMSRPMPREFIX}sparc-rtems@value{RTEMSAPI}-binutils-@value{BINUTILSVERSION}-@value{BINUTILSRPMRELEASE}.tar.bz2
 tar xjf @value{RTEMSRPMPREFIX}gcc-common-@value{GCCVERSION}-@value{GCCRPMRELEASE}.tar.bz2
-tar xjf @value{RTEMSRPMPREFIX}sparc-rtems-newlib-@value{NEWLIBVERSION}-@value{GCCRPMRELEASE}.tar.bz2
-tar xjf @value{RTEMSRPMPREFIX}sparc-rtems-gcc-@value{GCCVERSION}-@value{GCCRPMRELEASE}.tar.bz2
+tar xjf @value{RTEMSRPMPREFIX}sparc-rtems@value{RTEMSAPI}-newlib-@value{NEWLIBVERSION}-@value{GCCRPMRELEASE}.tar.bz2
+tar xjf @value{RTEMSRPMPREFIX}sparc-rtems@value{RTEMSAPI}-gcc-@value{GCCVERSION}-@value{GCCRPMRELEASE}.tar.bz2
 tar xjf @value{RTEMSRPMPREFIX}gdb-common-@value{GDBVERSION}-@value{GDBRPMRELEASE}.tar.bz2
-tar xjf @value{RTEMSRPMPREFIX}sparc-rtems-gdb-@value{GDBVERSION}-@value{GDBRPMRELEASE}.tar.bz2
+tar xjf @value{RTEMSRPMPREFIX}sparc-rtems@value{RTEMSAPI}-gdb-@value{GDBVERSION}-@value{GDBRPMRELEASE}.tar.bz2
 @end example
 
Index: doc/started/buildc.t
===================================================================
--- doc/started/buildc.t	(revision 57caf2d699dba110d2b4155e270d3cf9c46853bd)
+++ doc/started/buildc.t	(revision c9c98d7f1557f6ba920ba28e195792ed50af23be)
@@ -350,6 +350,6 @@
 
 @example 
-rpm -U @value{RTEMSRPMPREFIX}i386-rtems-binutils-@value{BINUTILSVERSION}-@value{BINUTILSRPMRELEASE}.nosrc.rpm
-rpm -U @value{RTEMSRPMPREFIX}i386-rtems-gcc-@value{GCCVERSION}-@value{GCCRPMRELEASE}.nosrc.rpm
+rpm -U @value{RTEMSRPMPREFIX}i386-rtems@value{RTEMSAPI}-binutils-@value{BINUTILSVERSION}-@value{BINUTILSRPMRELEASE}.nosrc.rpm
+rpm -U @value{RTEMSRPMPREFIX}i386-rtems@value{RTEMSAPI}-gcc-@value{GCCVERSION}-@value{GCCRPMRELEASE}.nosrc.rpm
 @end example
 
@@ -369,8 +369,8 @@
 @example
 @c Don't use @value{GCC*} below. This is an example
-$ rpm -q -l -p @value{RTEMSRPMPREFIX}i386-rtems-gcc-3.2.3-1.nosrc.rpm
-gcc-3.2.3-rtems-20030507a.diff
-@value{RTEMSRPMPREFIX}-i386-rtems4.7-gcc.spec
-newlib-1.11.0-rtems-20030507.diff
+$ rpm -q -l -p @value{RTEMSRPMPREFIX}i386-rtems@value{RTEMSAPI}-gcc-3.2.3-1.nosrc.rpm
+gcc-3.2.3-rtems@value{RTEMSAPI}-20030507a.diff
+@value{RTEMSRPMPREFIX}i386-rtems4.7-gcc.spec
+newlib-1.11.0-rtems@value{RTEMSAPI}-20030507.diff
 @end example
 
@@ -379,5 +379,5 @@
 but no source archives (the @code{*tar.*} files).
 When installing this source RPM 
-(@code{rpm -U @value{RTEMSRPMPREFIX}i386-rtems-gcc-newlib-gcc3.2.3newlib1.11.0-1.nosrc.rpm}),
+(@code{rpm -U @value{RTEMSRPMPREFIX}i386-rtems@value{RTEMSAPI}-gcc-newlib-gcc3.2.3newlib1.11.0-1.nosrc.rpm}),
 the @code{.spec} file is placed in the @code{SPECS} directory under the RPM root
 directory, while the @code{*.diff} files are placed into the @code{SOURCES}
@@ -396,5 +396,5 @@
 @example
 cd <RPM_ROOT_DIRECTORY>/SPECS
-rpm -bb i386-rtems-binutils-@value{BINUTILSVERSION}.spec
+rpm -bb i386-rtems@value{RTEMSAPI}-binutils-@value{BINUTILSVERSION}.spec
 @end example
 
@@ -405,5 +405,5 @@
 @example
 @value{RTEMSRPMPREFIX}binutils-common-@value{BINUTILSVERSION}-@value{BINUTILSRPMRELEASE}.i386.rpm
-@value{RTEMSRPMPREFIX}i386-rtems-binutils-@value{BINUTILSVERSION}-@value{BINUTILSRPMRELEASE}.i386.rpm
+@value{RTEMSRPMPREFIX}i386-rtems@value{RTEMSAPI}-binutils-@value{BINUTILSVERSION}-@value{BINUTILSRPMRELEASE}.i386.rpm
 @end example
 
@@ -426,8 +426,8 @@
 cd <RPM_ROOT_DIRECTORY>/RPMS/i386
 rpm -U @value{RTEMSRPMPREFIX}binutils-common-@value{BINUTILSVERSION}-@value{BINUTILSRPMRELEASE}.i386.rpm
-rpm -U @value{RTEMSRPMPREFIX}i386-rtems-binutils-@value{BINUTILSVERSION}-@value{BINUTILSRPMRELEASE}.i386.rpm
+rpm -U @value{RTEMSRPMPREFIX}i386-rtems@value{RTEMSAPI}-binutils-@value{BINUTILSVERSION}-@value{BINUTILSRPMRELEASE}.i386.rpm
 export PATH=@value{RTEMSPREFIX}/bin:$PATH
 cd <RPM_ROOT_DIRECTORY>/SPECS
-rpm -bb i386-rtems-gcc-@value{GCCVERSION}-newlib-@value{NEWLIBVERSION}.spec
+rpm -bb i386-rtems@value{RTEMSAPI}-gcc-@value{GCCVERSION}-newlib-@value{NEWLIBVERSION}.spec
 @end example
 
@@ -438,7 +438,7 @@
 @example
 @value{RTEMSRPMPREFIX}gcc-common-@value{GCCVERSION}-@value{GCCRPMRELEASE}.i386.rpm
-@value{RTEMSRPMPREFIX}i386-rtems-newlib-@value{NEWLIBVERSION}-@value{GCCRPMRELEASE}.i386.rpm
-@value{RTEMSRPMPREFIX}i386-rtems-gcc-@value{GCCVERSION}-@value{GCCRPMRELEASE}.i386.rpm
-@value{RTEMSRPMPREFIX}i386-rtems-gcc-c++-@value{GCCVERSION}-@value{GCCRPMRELEASE}.i386.rpm
+@value{RTEMSRPMPREFIX}i386-rtems@value{RTEMSAPI}-newlib-@value{NEWLIBVERSION}-@value{GCCRPMRELEASE}.i386.rpm
+@value{RTEMSRPMPREFIX}i386-rtems@value{RTEMSAPI}-gcc-@value{GCCVERSION}-@value{GCCRPMRELEASE}.i386.rpm
+@value{RTEMSRPMPREFIX}i386-rtems@value{RTEMSAPI}-gcc-c++-@value{GCCVERSION}-@value{GCCRPMRELEASE}.i386.rpm
 @end example
 
@@ -508,5 +508,5 @@
 
 @example
-sparc-rtems-ar: command not found
+sparc-rtems@value{RTEMSAPI}-ar: command not found
 @end example
 
@@ -759,5 +759,5 @@
 
 @example
-rpm -U @value{RTEMSRPMPREFIX}i386-rtems-gdb-@value{GDBVERSION}-@value{GDBRPMRELEASE}.nosrc.rpm
+rpm -U @value{RTEMSRPMPREFIX}i386-rtems@value{RTEMSAPI}-gdb-@value{GDBVERSION}-@value{GDBRPMRELEASE}.nosrc.rpm
 @end example
 
@@ -775,8 +775,8 @@
 
 @example
-$ rpm -q -l -p @value{RTEMSRPMPREFIX}i386-rtems-gdb-@value{GDBVERSION}-@value{GDBRPMRELEASE}.nosrc.rpm
-gdb-@value{GDBVERSION}-rtems-@value{GDBPATCHVERSION}.diff
+$ rpm -q -l -p @value{RTEMSRPMPREFIX}i386-rtems@value{RTEMSAPI}-gdb-@value{GDBVERSION}-@value{GDBRPMRELEASE}.nosrc.rpm
+gdb-@value{GDBVERSION}-rtems@value{RTEMSAPI}-@value{GDBPATCHVERSION}.diff
 gdb-@value{GDBVERSION}.tar.gz
-i386-rtems-gdb-@value{GDBVERSION}.spec
+i386-rtems@value{RTEMSAPI}-gdb-@value{GDBVERSION}.spec
 @end example
 
@@ -798,5 +798,5 @@
 @example
 cd <RPM_ROOT_DIRECTORY>/SPECS
-rpm -bb i386-rtems-gdb-@value{GDBVERSION}.spec
+rpm -bb i386-rtems@value{RTEMSAPI}-gdb-@value{GDBVERSION}.spec
 @end example
 
@@ -806,6 +806,6 @@
 
 @example
-@value{RTEMSRPMPREFIX}rtems-base-gdb-@value{GDBVERSION}-@value{GDBRPMRELEASE}.i386.rpm
-@value{RTEMSRPMPREFIX}i386-rtems-gdb-@value{GDBVERSION}-@value{GDBRPMRELEASE}.i386.rpm
+@value{RTEMSRPMPREFIX}gdb-common-@value{GDBVERSION}-@value{GDBRPMRELEASE}.i386.rpm
+@value{RTEMSRPMPREFIX}i386-rtems@value{RTEMSAPI}-gdb-@value{GDBVERSION}-@value{GDBRPMRELEASE}.i386.rpm
 @end example
 
